﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Threading;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace SilverlightApplication
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            RadGridView1.ItemsSource = from i in Enumerable.Range(0, 10)
                                       select new MyObject()
                                       {
                                           ID = i,
                                           Name = String.Format("Name{0}", i)
                                       };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var countFunction = new CountFunction();
            countFunction.Name = "MyCountFunction";
            RadGridView1.Columns["ID"].AggregateFunctions.Add(countFunction);
            RadGridView1.Rebind();
            RadGridView1.Columns["Name"].Footer = RadGridView1.AggregateResults["MyCountFunction"];
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
